The current version of SoftRAID is fully compatible with macOS Sierra 10.12

The current version of SoftRAID has been extensively tested and is fully compatible with macOS Sierra 10.12. All of the features you love in SoftRAID work with this new release.

Installing macOS Sierra 10.12 onto a SoftRAID volume

The macOS Installer for macOS Sierra 10.12 recognizes all SoftRAID volumes as bootable. You can use the macOS Installer to upgrade or install macOS onto any SoftRAID volume.

Using TRIM on non-Apple SSDs

All SoftRAID volumes fully support TRIM on Apple and non-Apple SSDs. If you are using SSDs and wish to enable TRIM for non-Apple SSDs, you must instruct macOS that it is safe to use TRIM on your SSDs.

If you are running Mac OS X 10.10.4 or later, you can use the trimforce command in a Terminal window to enable TRIM on these SSDs. For a more detailed description of TRIM on Mac OS X, please see the ArsTechnica article.

Why do my SoftRAID volume icons show a red exclamation mark after upgrading to macOS Sierra 10.12?

Have you just upgraded to macOS Sierra 10.12 and all your SoftRAID volume icons look like the one shown here; grey with a red exclamation mark?

This is SoftRAID’s way of telling you that your disks and volumes are not fully protected because you are running a limited version of the SoftRAID driver which lacks many features (i.e. it lacks: disk failure detection and prediction, volume rebuilds, all user notifications and error logging). The macOS Sierra 10.12 Installer overwrites any existing copy of the SoftRAID driver with this limited version as part of the macOS installation process.

To restore the full set of SoftRAID features, just run SoftRAID version 5.6 to update the driver. This will restore the full set of SoftRAID features.

SoftRAID versions before 5.6 not fully compatible with macOS Sierra 10.12

Earlier versions of SoftRAID prior to version 5.6 are not compatible with macOS Sierra 10.12. While your volumes will mount, you may have problems running the SoftRAID application. This is a result of changes to the OS in 10.12 Sierra.

To ensure SoftRAID runs smoothly with macOS Sierra, download the latest version on our download page.

SoftRAID version 4 does not support macOS Sierra 10.12

SoftRAID version 4 will not work with macOS Sierra 10.12 (or any OS later than 10.10). Apple has made significant changes to the Mac’s operating system since version 4 was first released in 2009. These changes prevent parts of SoftRAID version 4 from working correctly.

Make sure you upgrade to the current version of SoftRAID before installing Mac OS X 10.12 Sierra.